MPC85XX_RIO_DOOR(9)

NAME
mpc85xx_rio_doorbell_init - MPC85xx doorbell interface init

SYNOPSIS

int mpc85xx_rio_doorbell_init (struct rio_mport * mport);

ARGUMENTS

mport
    Master port implementing the inbound doorbell unit

DESCRIPTION

Initializes doorbell unit hardware and inbound DMA buffer ring. Called from mpc85xx_rio_setup. Returns 0 on success or -ENOMEM on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.